Package com.google.android.exoplayer2

## Class MediaItem.SubtitleConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.SubtitleConfiguration

- Direct Known Subclasses:
    `MediaItem.Subtitle`
  Enclosing class:
    MediaItem

      public static class MediaItem.SubtitleConfiguration
      extends Object

  Properties for a text track.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MediaItem.SubtitleConfiguration.Builder` | Builder for `MediaItem.SubtitleConfiguration` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `id` | The ID of the subtitles.
    `String` | `label` | The label.
    `String` | `language` | The language.
    `String` | `mimeType` | The optional MIME type of the subtitle file, or `null` if unspecified.
    `@com.google.android.exoplayer2.C.RoleFlags int` | `roleFlags` | The role flags.
    `@com.google.android.exoplayer2.C.SelectionFlags int` | `selectionFlags` | The selection flags.
    `Uri` | `uri` | The `Uri` to the subtitle file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem.SubtitleConfiguration.Builder` | `buildUpon()` | Returns a `MediaItem.SubtitleConfiguration.Builder` initialized with the values of this instance.
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uri

          public final Uri uri

      The `Uri` to the subtitle file.

    - #### mimeType

          @Nullable
          public final String mimeType

      The optional MIME type of the subtitle file, or `null` if unspecified.

    - #### language

          @Nullable
          public final String language

      The language.

    - #### selectionFlags

          @SelectionFlags
          public final @com.google.android.exoplayer2.C.SelectionFlags int selectionFlags

      The selection flags.

    - #### roleFlags

          @RoleFlags
          public final @com.google.android.exoplayer2.C.RoleFlags int roleFlags

      The role flags.

    - #### label

          @Nullable
          public final String label

      The label.

    - #### id

          @Nullable
          public final String id

      The ID of the subtitles. This will be propagated to the `Format.id` of the subtitle track created from this configuration.

  - ### Method Detail

    - #### buildUpon

          public MediaItem.SubtitleConfiguration.Builder buildUpon()

      Returns a `MediaItem.SubtitleConfiguration.Builder` initialized with the values of this instance.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`